%define im_dir %{_libdir}/iiim
%define le_dir %{im_dir}/le
%define xcin_dir %{le_dir}/xcin
%define letool %{_bindir}/iiimf-le-tools
%define sendhup /usr/bin/killall -HUP htt_server >& /dev/null || :
%define instle %{letool} --install %{xcin_dir}/
%define uninstle %{letool} --remove %{xcin_dir}/

Summary: An IIIMF Language Engine for Traditional Chinese.
Name: iiimf-le-xcin
Version: 0.1.10
Release: 1
License: GPL
Group: User Interface/X
Source0: %{name}-%{version}.tar.bz2
URL: http://tciiimf.sourceforge.net/

BuildRequires: automake16, libtool, libxml2-devel, pkgconfig
BuildRequires: XFree86-devel
Requires: iiimf-server >= 1:11.4-4
Buildroot: %{_tmppath}/%{name}-buildroot
Requires(post): %{_bindir}/killall
Requires(postun): %{_bindir}/killall

%description
A IIIMF language engine which ported from a popular traditional chinese input method, xcin, which was written using XIM protocol

%prep
%setup -q -n iiimf-xcin

find . -name CVS | xargs rm -rf
find . -type f | xargs grep -l "/usr/lib" | \
    xargs perl -pi -e "s|/usr/lib|%{_libdir}|g;"

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh \
  --prefix=%{_prefix} --with-imdir=%{im_dir}
make

%install
mkdir -p $RPM_BUILD_ROOT%{xcin_dir}/tab
make install DESTDIR=$RPM_BUILD_ROOT

%post
if [ -x %{letool} ]; then
  %{instle}xcin.so --default >& /dev/null || :
fi
%{sendhup}

%preun
if [ "$1" = 0 -a -x %{letool} ]; then
  %{uninstle}xcin.so >& /dev/null || :
fi

%postun
if [ "$1" = 0 ]; then
  %{sendhup}
fi

%files
%defattr(-,root,root)
%dir %{xcin_dir}
%dir %{xcin_dir}/tab/
%doc README ChangeLog 
%config %{xcin_dir}/xcin.xml.conf
%{xcin_dir}/*

%clean 
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Apr 04 2005 Leon Ho <llch@redhat.com> - 0.1.10-1
- changes the namespace for iiimf r12.2
- fixed spacebar commit (#151760)

* Thu Mar 17 2005 Leon Ho <llch@redhat.com> - 0.1.7-12
- rebuild

* Tue Nov 16 2004 Leon Ho <llch@redhat.com> - 0.1.7-11
- fixed multibyte punctuation on input styles (#138959)

* Thu Nov 11 2004 Leon Ho <llch@redhat.com> - 0.1.7-10
- some inputsyles should not unlock candidate when backspacing (#136640)
- when preedit shouldn't pass space tab etc (#138799)

* Wed Oct 20 2004 Leon Ho <llch@redhat.com> - 0.1.7-9
- added to own %{im_dir}/locale/zh_TW/

* Fri Oct 15 2004 Leon Ho <llch@redhat.com> - 0.1.7-8
- fixed status conv for KDE 

* Fri Oct 15 2004 Leon Ho <llch@redhat.com> - 0.1.7-7
- fixed some more mem check errors
- fixed key events and status 
- removed iiimf-le-tools requires

* Wed Sep 29 2004 Leon Ho <llch@redhat.com> - 0.1.7-6
- fixes some malloc and fclose error
- fixes backspace problem after candidate lock

* Wed Sep 29 2004 Jens Petersen <petersen@redhat.com> - 0.1.7-5
- send hup to htt_server after removal not before
- add post, preun and postun requires for killall and iiimf-le-tools

* Mon Aug 30 2004 Leon Ho <llch@redhat.com> 0.1.7-4
- added %{im_dir}
- autogen call clean up
- added libdir patch

* Sun Aug 29 2004 Warren Togami <wtogami@redhat.com> 0.1.7-3
- minor spec cleanup

* Tue Aug 17 2004 Leon Ho <llch@redhat.com> 0.1.7-2
- add buildrequires on libxml2-devel, automake16 and libtool

* Mon Aug 16 2004 Leon Ho <llch@redhat.com> 0.1.7-1
- add xmlconf for tab files
- fixes more dynamic memory
- commented out source table for tab files
- added utf8 to utf16 function
- use cname in tab file if not specify in xml
- added new makefile.am and configure.ac for new xml and xml.conf

* Wed Aug 04 2004 Leon Ho <llch@redhat.com> 0.1-5-5
- backport from cvs
    - fixed non-reg key hold up problem (#127812)
    - added gen_inp_xim_end() and more free()s to resolve memory
    - resolved loadtab()'s malloc didn't free prob
    - added the call of gen_inp_xim_end() at DestorySC()
    - added arrow keys for changing candidate pages
    - added endkey feature which will lock in for the candidate
    - added check keyname so that it won't lock in if numeric
    - tidy up lookup_draw()

* Tue Jun 22 2004 Leon Ho <llch@redhat.com> 0.1-5-4
- backport from cvs
    - fixed no status window on conversion off
    - tidy up and seperate out sources
    - fix up some of the minor codings

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 21 2004 Leon Ho <llch@redhat.com> 0.1-5-2
- backport from cvs
    - fixed the problem on ctrl, alt keys when turned on (#121050)
    - added new candidate selection screen (shift+< and shift+>)

* Thu Apr 15 2004 Leon Ho <llch@redhat.com> 0.1.5-1
- iiimf-xcin 0.1.5
    - Included nine input methods
    - Use keyname instead of normal letters in preedit area
    - Fixed 'enter' should commit candidate when lookup is on
    - Fixed crash problem on running le couple of times
    - Fixed crash problem on loading input styles couple of times
    - Added ctrl-shift switching
    - Fixed the lookup window by closing it when switching

* Fri Feb 27 2004 Leon Ho <llch@redhat.com> 0.1-5
- rebuilt

* Thu Feb 26 2004 Leon Ho <llch@redhat.com> 0.1-4
- install cin2tab with 755 (#116892)
- install .so files with executable (#116554)
- fixed '0' commit to preedit problem
- added 'esc' clean preedit
- fixed candidates non-empty problems

* Thu Feb 16 2004 Leon Ho <llch@redhat.com> 0.1-3
- added cin2tab
- added conversion of cin to tab in compilation time

* Thu Feb 12 2004 Leon Ho <llch@redhat.com> 0.1-2
- fixed some multi candidates problem
- add tab file and change tab file locations

* Wed Feb 11 2004 Leon Ho <llch@redhat.com> 0.1-1
- iiimf-xcin v0.1

